The
[currentConditions](https://developers.google.com/maps/documentation/weather/reference/rest/v1/currentConditions/lookup.md.txt)
endpoint provides information about the current weather conditions at a specific
location. The API returns the following:

- A description of the current [weather
  conditions](https://developers.google.com/maps/documentation/weather/reference/rest/v1/WeatherCondition#type) with a corresponding [icon](https://developers.google.com/maps/documentation/weather/weather-condition-icons.md.txt)
- Current temperature
- Apparent ("feels like") temperature
- Dew point
- Heat index
- Wind chill
- Relative humidity
- UV index
- Probability, percentage, and [type](https://developers.google.com/maps/documentation/weather/reference/rest/v1/Precipitation.md.txt#precipitationtype) of precipitation
- Probability of thunderstorms
- Sea level pressure
- Wind [direction](https://developers.google.com/maps/documentation/weather/reference/rest/v1/Wind.md.txt#cardinaldirection), speed, and gust
- Visibility and cloud cover
- Historical data for the past 24 hours, including temperature changes, maximum and minimum temperatures, and precipitation amounts

The APIs Explorer lets you make live requests so that you can get familiar with
the API and the API options:
[Try it!](https://developers.google.com/maps/documentation/weather/current-conditions.md.txt#try_it)

## About current conditions requests

To request current conditions, send an HTTP GET request to:

```html
https://weather.googleapis.com/v1/currentConditions:lookup?key=YOUR_API_KEY&location.latitude=LATITUDE&location.longitude=LONGITUDE
```

Include the latitude and longitude coordinates of the location in your request
URL
[parameters](https://developers.google.com/maps/documentation/weather/reference/rest/v1/currentConditions/lookup.md.txt#query-parameters).

## Current conditions request examples

The following example requests current conditions information for Mountain View,
CA:

```bash
curl -X GET "https://weather.googleapis.com/v1/currentConditions:lookup?key=YOUR_API_KEY&location.latitude=37.4220&location.longitude=-122.0841"
```

The response is in the form:

```json
{
  "currentTime": "2025-01-28T22:04:12.025273178Z",
  "timeZone": {
    "id": "America/Los_Angeles"
  },
  "isDaytime": true,
  "weatherCondition": {
    "iconBaseUri": "https://maps.gstatic.com/weather/v1/sunny",
    "description": {
      "text": "Sunny",
      "languageCode": "en"
    },
    "type": "CLEAR"
  },
  "temperature": {
    "degrees": 13.7,
    "unit": "CELSIUS"
  },
  "feelsLikeTemperature": {
    "degrees": 13.1,
    "unit": "CELSIUS"
  },
  "dewPoint": {
    "degrees": 1.1,
    "unit": "CELSIUS"
  },
  "heatIndex": {
    "degrees": 13.7,
    "unit": "CELSIUS"
  },
  "windChill": {
    "degrees": 13.1,
    "unit": "CELSIUS"
  },
  "relativeHumidity": 42,
  "uvIndex": 1,
  "precipitation": {
    "probability": {
      "percent": 0,
      "type": "RAIN"
    },
    "qpf": {
      "quantity": 0,
      "unit": "MILLIMETERS"
    }
  },
  "thunderstormProbability": 0,
  "airPressure": {
    "meanSeaLevelMillibars": 1019.16
  },
  "wind": {
    "direction": {
      "degrees": 335,
      "cardinal": "NORTH_NORTHWEST"
    },
    "speed": {
      "value": 8,
      "unit": "KILOMETERS_PER_HOUR"
    },
    "gust": {
      "value": 18,
      "unit": "KILOMETERS_PER_HOUR"
    }
  },
  "visibility": {
    "distance": 16,
    "unit": "KILOMETERS"
  },
  "cloudCover": 0,
  "currentConditionsHistory": {
    "temperatureChange": {
      "degrees": -0.6,
      "unit": "CELSIUS"
    },
    "maxTemperature": {
      "degrees": 14.3,
      "unit": "CELSIUS"
    },
    "minTemperature": {
      "degrees": 3.7,
      "unit": "CELSIUS"
    },
    "qpf": {
      "quantity": 0,
      "unit": "MILLIMETERS"
    }
  }
}
```

### Specify unit system

By default, the Weather API returns data in the metric system. To request
weather data using the imperial system, specify the `unitsSystem` parameter in
your request.

The following example requests weather data for Mountain View, CA in imperial
units:

```
curl -X GET "https://weather.googleapis.com/v1/currentConditions:lookup?key=YOUR_API_KEY&location.latitude=37.4220&location.longitude=-122.0841&unitsSystem=IMPERIAL"
```

The response is in the form:

```json
{
  "currentTime": "2025-01-28T22:13:56.723468335Z",
  "timeZone": {
    "id": "America/Los_Angeles"
  },
  "isDaytime": true,
  "weatherCondition": {
    "iconBaseUri": "https://maps.gstatic.com/weather/v1/sunny",
    "description": {
      "text": "Sunny",
      "languageCode": "en"
    },
    "type": "CLEAR"
  },
  "temperature": {
    "degrees": 56.6,
    "unit": "FAHRENHEIT"
  },
  "feelsLikeTemperature": {
    "degrees": 55.7,
    "unit": "FAHRENHEIT"
  },
  "dewPoint": {
    "degrees": 33.9,
    "unit": "FAHRENHEIT"
  },
  "heatIndex": {
    "degrees": 56.6,
    "unit": "FAHRENHEIT"
  },
  "windChill": {
    "degrees": 55.7,
    "unit": "FAHRENHEIT"
  },
  "relativeHumidity": 42,
  "uvIndex": 1,
  "precipitation": {
    "probability": {
      "percent": 0,
      "type": "RAIN"
    },
    "qpf": {
      "quantity": 0,
      "unit": "INCHES"
    }
  },
  "thunderstormProbability": 0,
  "airPressure": {
    "meanSeaLevelMillibars": 1019.12
  },
  "wind": {
    "direction": {
      "degrees": 335,
      "cardinal": "NORTH_NORTHWEST"
    },
    "speed": {
      "value": 5,
      "unit": "MILES_PER_HOUR"
    },
    "gust": {
      "value": 11,
      "unit": "MILES_PER_HOUR"
    }
  },
  "visibility": {
    "distance": 10,
    "unit": "MILES"
  },
  "cloudCover": 0,
  "currentConditionsHistory": {
    "temperatureChange": {
      "degrees": -1.2,
      "unit": "FAHRENHEIT"
    },
    "maxTemperature": {
      "degrees": 57.8,
      "unit": "FAHRENHEIT"
    },
    "minTemperature": {
      "degrees": 38.6,
      "unit": "FAHRENHEIT"
    },
    "qpf": {
      "quantity": 0,
      "unit": "INCHES"
    }
  }
}
```

## Try it!

The APIs Explorer lets you make sample requests so
that you can get familiar with the API and the API options.

1. Select the API icon api
   on the right side of the page.

2. Optionally edit the request parameters.

3. Select the **Execute** button. In the dialog, choose the account
   that you want to use to make the request.

4. In the APIs Explorer panel, select the fullscreen icon
   fullscreen to expand the APIs Explorer window.